org.appng.taglib.form

## Class FormData

- java.lang.Object
- - javax.servlet.jsp.tagext.TagSupport
  - - javax.servlet.jsp.tagext.BodyTagSupport
    - - org.appng.taglib.form.FormData

- All Implemented Interfaces:
    Serializable, javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

      public class FormData
      extends javax.servlet.jsp.tagext.BodyTagSupport

  This class represents a web Form.

  The `<appNG:formData>` wraps an HTML `<form>` and contains several input fields, that in turn are wrapped by `<appNG:formElement>`s. See `Form` for details.

  Author:
    Matthias Herlitzius, Matthias Müller
  See Also:
    `Form`, `FormElement`, `FormGroup`, Serialized Form

- - ### Field Summary

    - ### Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport

      `bodyContent`

    - ### Fields inherited from class javax.servlet.jsp.tagext.TagSupport

      `id, pageContext`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.BodyTag

      `EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.IterationTag

      `EVAL_BODY_AGAIN`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.Tag

      `EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FormData()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `doAfterBody()`
    `int` | `doStartTag()`
    `Form` | `getForm()`
    `protected FormData` | `getWrappedFormData()`
    `void` | `setMode(String mode)`

    - ### Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport

      `doEndTag, doInitBody, getBodyContent, getPreviousOut, release, setBodyContent`

    - ### Methods inherited from class javax.servlet.jsp.tagext.TagSupport

      `findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.servlet.jsp.tagext.Tag

      `getParent, setPageContext, setParent`

- - ### Constructor Detail

    - #### FormData

          public FormData()

  - ### Method Detail

    - #### doStartTag

          public int doStartTag()
                         throws javax.servlet.jsp.JspException

      Specified by:
        `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
      Overrides:
        `doStartTag` in class `javax.servlet.jsp.tagext.BodyTagSupport`
      Throws:
        `javax.servlet.jsp.JspException`

    - #### doAfterBody

          public int doAfterBody()

      Specified by:
        `doAfterBody` in interface `javax.servlet.jsp.tagext.IterationTag`
      Overrides:
        `doAfterBody` in class `javax.servlet.jsp.tagext.BodyTagSupport`

    - #### getForm

          public Form getForm()

    - #### getWrappedFormData

          protected FormData getWrappedFormData()

    - #### setMode

          public void setMode(String mode)

Copyright © 2011–2023 aiticon GmbH. All rights reserved.